Skip to content

List the reports available to the caller

GET
/reports/catalog
curl --request GET \
--url https://app.buildworkpro.com/api/v1/reports/catalog \
--header 'Authorization: Bearer <token>'

Reports v2 catalog, filtered to the entity permissions the caller’s role holds.

Catalog

Media type application/json
object
data
required
Array<object>
object
slug
required
string
title
required
string
group
required
string
description
required
string
kind
required
string
groupBys
required
Array<string>
meta
required
object
request_id

Server-generated request identifier

string
pagination
object
cursor
required

Opaque cursor for the next page; null when no more results

string | null
has_more
required

Whether more pages are available after this one

boolean
count
required

Items in this page

integer
Example generated
{
"data": [
{
"slug": "example",
"title": "example",
"group": "example",
"description": "example",
"kind": "example",
"groupBys": [
"example"
]
}
],
"meta": {
"request_id": "example",
"pagination": {
"cursor": "example",
"has_more": true,
"count": 1
}
}
}

Error

Media type application/problem+json
object
type
required

URL identifying the problem type

string format: uri
title
required

Short human-readable summary

string
status
required

HTTP status code

integer
detail

Human-readable explanation

string
request_id

Server-generated request identifier

string
errors

Validation error array (422 only)

Array<object>
object
field
required

Field path that failed validation

string
code
required

Validation error code

string
message
required

Human-readable validation message

string
Example generated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}